package com.ruoyi.app.domain.request;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;
import com.ruoyi.app.domain.DistributeBatch;
public class AddDistributeBatch {
    private Long entranceBatchId;
    private List<DistributeBatch> distributeArr;
    public void setEntranceBatchId(Long entranceBatchId)
    {
        this.entranceBatchId = entranceBatchId;
    }

    @NotNull(message = "入场批次ID不能为空")
    public Long getEntranceBatchId()
    {
        return entranceBatchId;
    }

    public void setDistributeArr(List<DistributeBatch> distributeArr)
    {
        this.distributeArr = distributeArr;
    }

    @NotNull(message = "血码关系不能为空")
    @Valid
    public List<DistributeBatch> getDistributeArr()
    {
        return distributeArr;
    }
}
